<div class="media_videos">
    {% for video in videos %}
        {% set band_names = video.meta('bands_names')|split(',') %}
        {% set band_social_links = video.meta('bands_social_links')|split(',') %}
        <div class="media_videos__video">
            <h3>
                {{ video.post_date|date('d.m.Y') }} &mdash;
                {% if video.meta('use_bands_as_title') %}
                    {% for band in band_names %}
                        {% if loop.index0 > 0 %} &middot; {% endif %}
                        {% include 'shortcodes/ifmayc-media/videos/band.twig' with { 'band': band, 'link': band_social_links[loop.index0] } %}
                    {% endfor %}
                {% else %}
                    {{ video.post_title }}
                {% endif %}
                {% for genre in video.terms({ query: { taxonomy: 'genre' } }) %}
                    {% include 'partial/hashtag.twig' with { 'tag': genre } %}
                {% endfor %}
            </h3>
            {% if not video.meta('use_bands_as_title') %}
                <h3>
                    im Video:
                    {% for band in band_names %}
                        {% if loop.index0 > 0 %} &middot; {% endif %}
                        {% include 'shortcodes/ifmayc-media/videos/band.twig' with { 'band': band, 'link': band_social_links[loop.index0] } %}
                    {% endfor %}
                </h3>
            {% endif %}
            {% for link in video.meta('video_links')|split(',') %}
                <div class="media_videos__container">
                    <iframe src="{{ link }}" width="1920" height="1080"></iframe>
                </div>
            {% endfor %}
        </div>
    {% endfor %}

    {% include 'partial/pagination.twig' with { pagination: videos.pagination({ show_all: false, mid_size: 3, end_size: 2 }) } %}
</div>
